package http

type AddProductToBasketRequest struct {
	ProductID int `json:"product_id"`
	Quantity  int `json:"quantity"`
}

type AddProductToBasketResponse struct {
	ProductID int    `json:"product_id"`
	BasketID  string `json:"basket_id"`
}

type RemoveProductFromBasketRequest struct {
	ProductID int `json:"product_id"`
	Quantity  int `json:"quantity"`
}

type RemoveProductFromBasketResponse struct {
	ProductID int    `json:"product_id"`
	BasketID  string `json:"basket_id"`
}
