package model

import "github.com/jackc/pgtype"

type OrderModel struct {
	ID        string           `db:"id" json:"id"`
	State     string           `db:"state" json:"state"`
	CreatedAt pgtype.Timestamp `db:"created_at" json:"created_at"`
	UpdatedAt pgtype.Timestamp `db:"updated_at" json:"updated_at"`
}

type OrderItemModel struct {
	ID        string           `db:"id" json:"id"`
	OrderID   string           `db:"order_id" json:"order_id"`
	ProductID int              `db:"product_id" json:"product_id"`
	Quantity  int              `db:"quantity" json:"quantity"`
	Price     float64          `db:"price" json:"price"`
	CreatedAt pgtype.Timestamp `db:"created_at" json:"created_at"`
	UpdatedAt pgtype.Timestamp `db:"updated_at" json:"updated_at"`
}
