package model

import "github.com/jackc/pgtype"

type ProductModel struct {
	ID        int              `db:"id"`
	PID       string           `db:"pid"`
	Name      string           `db:"name"`
	Price     float64          `db:"price"`
	CreatedAt pgtype.Timestamp `db:"created_at"`
	UpdatedAt pgtype.Timestamp `db:"updated_at"`
}
